import mariadb


def add_master_pass(
    id: int, hashed_passwd: bytes, salt: bytes, con: mariadb.Connection
) -> bool:
    cursor = con.cursor()
    cursor.execute(
        "INSERT INTO master_pass (user_id, salt, passwd) VALUES (?, ?, ?)",
        [id, hashed_passwd, salt],
    )
    cursor.close()


def add_account(
    id: int,
    acc_name: str,
    salt: bytes,
    enc_login: bytes,
    enc_passwd: bytes,
    con: mariadb.Connection,
) -> bool:
    cursor = con.cursor()
    cursor.execute(
        "INSERT INTO accounts (user_id, acc_name, salt, enc_login, enc_pass) VALUES (?, ?, ?, ?, ?, ?)",
        [id, acc_name, salt, enc_login, enc_passwd],
    )
    cursor.close()
